Bug 1477626 - [RFE] Rolling upgrade support for Ironic in the overcloud
[RFE] Rolling upgrade support for Ironic in the overcloud
Status: ASSIGNED
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-ironic (Show other bugs)
13.0 (Queens)
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Dmitry Tantsur
mlammon
http://specs.openstack.org/openstack/...
: FutureFeature, Triaged
Depends On: 1477591
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-02 09:44 EDT by Dmitry Tantsur
Modified: 2017-11-03 11:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1526283 None None None 2017-08-02 09:44 EDT

  None (edit)
Description Dmitry Tantsur 2017-08-02 09:44:38 EDT
Starting with Pike, Ironic supports a rolling upgrade procedure similar to Nova. We should provide support for it as well.
Comment 3 Dmitry Tantsur 2017-10-02 07:03:22 EDT
Moving to M3, as it requires establishing foundation for rolling upgrades in THT first.

Note You need to log in before you can comment on or make changes to this bug.